Bug 1122080 - [storage node] running operations (e.g. prepare for bootstrap) on an installed node crashes the node
Summary: [storage node] running operations (e.g. prepare for bootstrap) on an installe...
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Storage Node
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: DR01
: JON 4.0.0
Assignee: Michael Burman
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 13:44 UTC by Armine Hovsepyan
Modified: 2019-08-05 14:58 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-05 14:58:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Armine Hovsepyan 2014-07-22 13:44:24 UTC
Description of problem:
[storage node] running operations (e.g. prepare for bootstrap) on an installed node crashes the node

Version-Release number of selected component (if applicable):
JON 3.2 (and higher)

How reproducible:
always


Steps to Reproduce:
1. install and start jon using rhqctl install --start
2. navigate to storage node resource in gui and run 'prepare for bootstrap' operation
3.

Actual results:

 INFO [main] 2014-07-22 09:36:34,636 MessagingService.java (line 453) Starting Messaging Service on port 7100
 INFO [main] 2014-07-22 09:36:34,678 ColumnFamilyStore.java (line 629) Enqueuing flush of Memtable-local@1832891943(86/86 serialized/live bytes, 4 ops)
 INFO [FlushWriter:1] 2014-07-22 09:36:34,679 Memtable.java (line 461) Writing Memtable-local@1832891943(86/86 serialized/live bytes, 4 ops)
 INFO [FlushWriter:1] 2014-07-22 09:36:34,846 Memtable.java (line 495) Completed flushing ../../../rhq-data/data/system/local/system-local-ic-2-Data.db (138 bytes) for commitlog position ReplayPosition(segmentId=1406036193829, position=52479)
 INFO [main] 2014-07-22 09:36:34,848 StorageService.java (line 914) JOINING: waiting for ring information
 INFO [main] 2014-07-22 09:37:04,896 StorageService.java (line 914) JOINING: schema complete, ready to bootstrap
 INFO [main] 2014-07-22 09:37:04,900 StorageService.java (line 914) JOINING: getting bootstrap token
 INFO [main] 2014-07-22 09:37:04,982 ColumnFamilyStore.java (line 629) Enqueuing flush of Memtable-local@950184868(10085/10085 serialized/live bytes, 257 ops)
 INFO [FlushWriter:1] 2014-07-22 09:37:04,983 Memtable.java (line 461) Writing Memtable-local@950184868(10085/10085 serialized/live bytes, 257 ops)
 INFO [FlushWriter:1] 2014-07-22 09:37:05,191 Memtable.java (line 495) Completed flushing ../../../rhq-data/data/system/local/system-local-ic-3-Data.db (11950 bytes) for commitlog position ReplayPosition(segmentId=1406036193829, position=64473)
 INFO [main] 2014-07-22 09:37:05,203 StorageService.java (line 914) JOINING: sleeping 30000 ms for pending range setup
ERROR [main] 2014-07-22 09:37:35,205 CassandraDaemon.java (line 464) Exception encountered during startup
java.lang.IllegalStateException: Unable to contact any seeds!
	at org.apache.cassandra.service.StorageService.bootstrap(StorageService.java:947)
	at org.apache.cassandra.service.StorageService.joinTokenRing(StorageService.java:716)
	at org.apache.cassandra.service.StorageService.initServer(StorageService.java:554)
	at org.apache.cassandra.service.StorageService.initServer(StorageService.java:451)
	at org.apache.cassandra.service.CassandraDaemon.setup(CassandraDaemon.java:348)
	at org.apache.cassandra.service.CassandraDaemon.activate(CassandraDaemon.java:447)
	at org.apache.cassandra.service.CassandraDaemon.main(CassandraDaemon.java:490)
ERROR [StorageServiceShutdownHook] 2014-07-22 09:37:35,211 CassandraDaemon.java (line 192) Exception in thread Thread[StorageServiceShutdownHook,5,main]
java.lang.NullPointerException
	at org.apache.cassandra.service.StorageService.stopRPCServer(StorageService.java:321)
	at org.apache.cassandra.service.StorageService.shutdownClientServers(StorageService.java:370)
	at org.apache.cassandra.service.StorageService.access$000(StorageService.java:88)
	at org.apache.cassandra.service.StorageService$1.runMayThrow(StorageService.java:519)
	at org.apache.cassandra.utils.WrappedRunnable.run(WrappedRunnable.java:28)
	at java.lang.Thread.run(Thread.java:744)



Expected results:
running "invalid" operations after installation should be 

Additional info:

Comment 2 John Sanda 2014-08-29 12:33:05 UTC
Bumping the target release due to time constraints. Note that this resource operation is intended to for internal use. There are several that fall into this category. The description for each of them that is displayed in the UI for scheduling the operation. Doing beyond that is outside the scope of. 3.3.0.

Comment 5 Filip Brychta 2019-08-05 14:58:27 UTC
JBoss ON is coming to the end of its product life cycle. For more information regarding this transition, see https://access.redhat.com/articles/3827121.
This bug report/request is being closed. If you feel this issue should not be closed or requires further review, please create a new bug report against the latest supported JBoss ON 3.3 version.


Note You need to log in before you can comment on or make changes to this bug.